ekg-0.4.0.15: Remote monitoring of processes

Safe Haskell | Safe
Language | Haskell98

System.Remote.Counter

Description

This module defines a type for mutable, integer-valued counters. Counters are non-negative, monotonically increasing values and can be used to track e.g. the number of requests served since program start. All operations on counters are thread-safe.

N.B. This module exists to maintain backwards compatibility with older versions of this library. New code should use the `System.Metrics.Counter` module from the ekg-core package instead.

Synopsis

- data Counter
- inc :: Counter -> IO ()
- add :: Counter -> Int64 -> IO ()

# Documentation

data Counter Source #

A mutable, integer-valued counter.

inc :: Counter -> IO () Source #

Increase the counter by one.

add :: Counter -> Int64 -> IO () Source #

Add the argument to the counter.